plugins {
    id 'com.android.library'
    id 'kotlin-android'
}

android {
    compileSdk rootProject.ext.android.compileSdk
    buildToolsVersion rootProject.ext.android.buildToolsVersion

    defaultConfig {
        minSdk rootProject.ext.android.minSdk
        targetSdk rootProject.ext.android.targetSdk
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles 'proguard-rules.pro'
        }
    }

    buildFeatures {
        buildConfig false
    }

    lintOptions {
        abortOnError false
    }

    compileOptions {
        kotlinOptions.freeCompilerArgs += ['-module-name', "cn.yyxx.eyuangame.channel.huawei"]
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    kotlinOptions {
        jvmTarget = "1.8"
    }
}

dependencies {
    api files('libs/apptouch-5.1.0.300.jar')
    api files('libs/gameservicesdk-game-6.1.0.301.jar')
    api files('libs/hms-base.jar')
    api files('libs/hmssdk-iap-6.3.0.300.jar')
    api files('libs/okhttp-3.11.0.jar')
    api files('libs/okio-1.14.0.jar')
    // 华为分析服务
    api files('libs/hianalytics-6.3.2.300.jar')
    api files('libs/hianalytics-core-6.3.2.300.jar')
    api files('libs/hianalytics-framework-6.3.2.300.jar')
    api files('libs/hms-opendevice-5.1.1.306.jar')
    api files('libs/greendao-3.3.0.jar')
    api files('libs/greendao-api-3.3.0.jar')
    // 崩溃服务
    api files('libs/crash-1.6.3.300.jar')
    // 华为认证服务
    api files('libs/hmssdk-hwid-6.3.0.301.jar')
    api files('libs/hms-auth-1.6.3.300.jar')
    api files('libs/hms-auth-huawei-1.6.3.300.jar')
    api files('libs/hms-auth-google-1.6.3.300.jar')
    api files('libs/hms-auth-facebook-1.6.3.300.jar')
    // facebook-login
//    api files('libs/facebook-comm-12.3.0.jar')
//    api files('libs/facebook-core-12.3.0.jar')
//    api files('libs/facebook-login-12.3.0.jar')
    implementation 'com.facebook.android:facebook-login:12.3.0'

    implementation 'com.google.android.gms:play-services-auth:20.0.1'

}